### Method

# Dex ThreadPool close

#### Declaration [src]

    DexFuture*
    dex_thread_pool_close (
      DexThreadPool* pool,
      DexThreadPoolShutdownMode mode
    )

#### Description [src]

Begins shutting down the pool and prevents new submissions.

#### Parameters

`mode`

  Type: `DexThreadPoolShutdownMode`

  Shutdown policy for queued work.

#### Return value

Type: `DexFuture`

A future that resolves when shutdown completes.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.